      SUBROUTINE CL1(K, L, M, N, Q, KQ, KODE, TOLER, ITER, X, RES,
     *                  ERROR, WK, IWK)
      DIMENSION Q(KQ,1), X(1), RES(1), WK(1), IWK(1)
C     -------------------
      KLM = K + L + M
      CALL XL1(K, L, M, N, KLM, KQ, KLM + N, N + 2, Q, KODE, TOLER,
     *         ITER, X, RES, ERROR, WK, IWK(KLM+1), IWK(1))
      RETURN
      END
